apiVersion: v1 
kind: Pod 
metadata:
  name: docker-volume
spec: 
  containers: 
  - name: docker 
    image: docker 
    command: ["sleep"] 
    args: ["1000"]
    volumeMounts: 
    - name: docker-socket 
      mountPath: /var/run/docker.sock 
    resources:
  volumes: 
  - name: docker-socket 
    hostPath:
      path: /var/run/docker.sock
      type: Socket
#  apply -f docker-hostPath.pod.yml 
# kubectl get pod
#  kubectl describe pod  docker-volume 
# Once Pod is created you can shell into it to run Docker commands:
# kubectl exec docker-volume -it sh
#  docker 
# docker ps -a


